VnUartPacket Struct Reference

Structure representing a UART packet received from a VectorNav sensor. More...

`#include <upack.h>`

## Data Fields

size_t | curExtractLoc
size_t | length
uint8_t * | data

## Detailed Description

Structure representing a UART packet received from a VectorNav sensor.

Examples:
  getting_started/main.c, and sensor/main.c.

## Field Documentation

size_t curExtractLoc

Current location for extracting binary data.

uint8_t* data

The packet data.

size_t length

Number of bytes in the packet.

The documentation for this struct was generated from the following file:

- upack.h